Show / Hide Table of Contents

# AsyncPointerExitTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPointerExitTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IPointerExitHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncPointerExitTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IPointerExitHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnPointerExitAsyncHandler() |
GetOnPointerExitAsyncHandler(CancellationToken) |
OnPointerExitAsync() |
OnPointerExitAsync(CancellationToken) |

### Methods

#### GetOnPointerExitAsyncHandler()

    public IAsyncOnPointerExitHandler GetOnPointerExitAsyncHandler()

##### Returns

IAsyncOnPointerExitHandler

#### GetOnPointerExitAsyncHandler(CancellationToken)

    public IAsyncOnPointerExitHandler GetOnPointerExitAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnPointerExitHandler

#### OnPointerExitAsync()

    public UniTask<PointerEventData> OnPointerExitAsync()

##### Returns

UniTask<PointerEventData>

#### OnPointerExitAsync(CancellationToken)

    public UniTask<PointerEventData> OnPointerExitAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IPointerExitHandler